Class | Bio::Fastq::Error
In: | lib/bio/db/fastq.rb
Parent: | RuntimeError

Basic exception class of all Bio::Fastq::Error:XXXX. Bio::Fastq internal use only.

### Methods

new

### Classes and Modules

Class Bio::Fastq::Error::Diff_ids
Class Bio::Fastq::Error::Long_qual
Class Bio::Fastq::Error::No_atmark
Class Bio::Fastq::Error::No_ids
Class Bio::Fastq::Error::No_qual
Class Bio::Fastq::Error::No_seq
Class Bio::Fastq::Error::Qual_char
Class Bio::Fastq::Error::Qual_range
Class Bio::Fastq::Error::Seq_char
Class Bio::Fastq::Error::Short_qual
Class Bio::Fastq::Error::Skipped_unformatted_lines

### Public Class methods

new(error_message = nil)

Creates a new object. If error message is not given, default error message is stored. If error message is a Integer value, it is treated as the position inside the sequence or the quality, and default error message including the position is stored.

Arguments:

- (optional) error_message: error message (see above)

[Source]

         # File lib/bio/db/fastq.rb, line 209
    209:     def initialize(error_message = nil)
    210:       if !error_message or error_message.kind_of?(Integer) then
    211:         error_message = default_message(error_message)
    212:       end
    213:       super(error_message)
    214:     end

[Validate]